### Signal

# EBackend DBusServer::bus-name-lost

#### Declaration

    void
    bus_name_lost (
      EDBusServer* self,
      GDBusConnection* connection,
      gpointer user_data
    )

#### Description [src]

Emitted when `server` loses its well-known session bus name or the session bus connection has been closed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`connection`

  Type: `GDBusConnection`

  The `GDBusconnection` to the session bus, or `NULL` if the connection has been closed.

  The data is owned by the caller of the function.